\documentclass{standalone}
\usepackage{siunitx}
\usepackage{tikz}
\usetikzlibrary{angles,quotes}
\begin{document}
\begin{tikzpicture}[>=latex]
  \def \pi{3.1415926535}
  
  \def \vmax{2}
  \def \imax{1}

  \def \voltagecolour{red};
  \def \intensitycolour{blue};
  
  \def \period{4}
  \def \om{360/\period}

  \def \xmax{1.6*\period}
  \def \ymax{\vmax}

  %\def \phi{\pi}
  \def \phi{90}
  \def \time{\period / 6}

  % axis for circles
  \def \sep{1};
  \draw[gray!60] ({-\ymax-\sep},-\ymax) -- ++(90:2*\ymax);
  \draw[gray!60] ({-2*\ymax-\sep},0) -- ++(0:2*\ymax);

  \coordinate (C) at ({-\ymax-\sep},0);
 
  % voltage circle
  \draw[dashed,color=\voltagecolour] (C) circle [radius=\vmax];
  
  % intensity circle
  \draw[dashed,color=\intensitycolour] (C) circle [radius=\imax];

  % angular speed
  \draw[->] (C) ++(210:1.3*\imax) arc[start angle=210, delta angle=50, radius=1.3\imax] node[below left,midway] {$\omega$};
 
  % grid
  \draw[very thin,color=gray!60] (-0.1,-\ymax) grid (\xmax,\ymax);

  % axis
  \draw[->] (-0.2,0) -- (\xmax+0.2,0) node[right] {$t$};
  \draw[->] (0,-\ymax-0.2) -- (0,\ymax+0.2) node[above] {\color{red}$v(t)$, \color{blue}$i(t)$};

  % max
  \node[left] at(0,\vmax) {$V_{max}$};
  \node[left] at(0,-\vmax) {$-V_{max}$};
  \node[left] at(0,\imax) {$I_{max}$};
  \node[left] at(0,-\imax) {$-I_{max}$};

  % voltage
  \draw[color=\voltagecolour,domain=0:\xmax,variable=\t,smooth,samples=100] plot (\t,{\vmax*sin((\om*\t))}) node[right] {$v(t)$};
  
  % intensity
  \draw[color=\intensitycolour,domain=0:\xmax,variable=\t,smooth,samples=100] plot (\t,{\imax*sin((\om*\t+\phi))}) node[right] {$i(t)$};

  % voltage at given time
  \def \voltageangle{ \om*\time };
  \draw[->,color=\voltagecolour] (C) -- ++(\voltageangle:\vmax) coordinate(V);
  \draw[dashed,color=\voltagecolour] (V) -- (V -| \time,\ymax);
  
  % intensity at given time
  \def \intensityangle{ \om*\time+\phi };
  %\def \intensityangle{ {\voltageangle+\phi} };
  \draw[->,color=\intensitycolour] (C) -- ++(\intensityangle:\imax) coordinate(I);
  \draw[dashed,color=\intensitycolour] (I) -- (I -| \time,\ymax);

  % angle
  \draw pic["\ang{\phi}",draw,->,angle radius=8mm,angle eccentricity=1.6] {angle = V--C--I};

  % time reference
  \draw[dashed] (\time,-\ymax) -- ++(90:2*\ymax);
  
\end{tikzpicture}
\end{document}
